Subject: Re: help: Glib under Cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Sun, 29 Apr 2001 13:01:12 +0200

[email-masked] schrieb am 2001-04-06, 14:24:

> Hi, all:
> I am not sure Cygwin supports glib or not. I try to 
> compile glib under cygwin (glib is needed for many many 
> gnu tools). Below is what I got from configure and make 
> log file. I also tried to change g_strsignal() as 
> follows, but failed to compile.
> 
> Any help is appreciated.
> 
> const gchar* g_strsignal(int sig){
>     extern const char* strsignal(int signum);
>     return strsignal(sig);
> }

I have build glib without big problems.
I commented this passage out, and it works...
Maybe, it looks a little different in the newer versions,
but commenting out is not the worst solution.

diff -ur glib-1.2.8/gstrfuncs.c glib-1.2.8-patched/gstrfuncs.c
--- glib-1.2.8/gstrfuncs.c      Mon Apr 17 17:05:16 2000
+++ glib-1.2.8-patched/gstrfuncs.c      Sun Apr 29 12:52:02 2001
@@ -671,8 +671,8 @@
   char *msg;

 #ifdef HAVE_STRSIGNAL
-  extern char *strsignal (int sig);
-  return strsignal (signum);
+ /* extern char *strsignal (int sig);
+  return strsignal (signum);*/
 #elif NO_SYS_SIGLIST
   switch (signum)
     {

gph

-- 
=^..^= [email-masked]
PGP-Key: 0x28A05137 [875C 745E 01CF 8A34 2767  BE39 305E 5261 28A0 5137]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple